.notes {
  padding: 60px 0;
  position: relative;
}

@media (max-width: 1320px) {
  .notes {
    padding: 24px 0 40px;
  }
}

@media (max-width: 600px) {
  .notes {
    padding: 24px 0;
  }
}

.notes__inner {
  position: relative;
  width: 100%;
}

.catalog-top__title {
  text-align: center;
  margin-bottom: 24px;
}

.catalog-search {
  margin: 0 auto;
}

.catalog-top__head {
  margin-bottom: 32px;
}

.notes__grid {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin-bottom: 24px;
}

.notes__row {
  display: flex;
  gap: 24px;
  flex-wrap: wrap;
}

@media (max-width: 600px) {
  .notes__row {
    flex-direction: column;
  }
}

.note-card {
  width: 576px;
  border-radius: var(--radius);
  background: var(--white);
  box-shadow: 0 2px 6px 0 rgba(0, 63, 116, 0.1);
  overflow: hidden;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
}

@media (max-width: 1320px) {
  .note-card {
    width: 100%;
    height: auto;
  }
}

.note-card__media {
  position: relative;
  width: 580px;
  height: 394px;
  border-radius: var(--radius) var(--radius) 0 0;
  overflow: hidden;
  flex: 0 0 auto;
}

@media (max-width: 1320px) {
  .note-card__media {
    height: 245px;
    width: 100%;
  }
}

@media (max-width: 600px) {
  .note-card__media {
    height: 295px;
  }
}

.note-card__img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.note-card__date {
  position: absolute;
  right: 16px;
  bottom: 16px;
  border: 1px solid var(--blue);
  border-radius: var(--radius);
  padding: 2px 8px;
  width: 97px;
  height: 24px;
  box-sizing: border-box;
  background: var(--white);
  color: var(--blue);
  display: flex;
  align-items: center;
  justify-content: center;
}

.note-card__content {
  display: flex;
  flex-direction: column;
  padding: 16px;
  align-items: flex-end;
  flex-grow: 1;
}

.note-card_text {
  min-height: 201px;
  background: linear-gradient(180deg, #fff 0%, #fff 100%);
  display: flex;
  flex-direction: column;
  gap: 8px;
  flex-grow: 1;
}

@media (max-width: 600px) {
  .note-card_text {
    min-height: 150px;
  }
}

.note-card__title {
  color: var(--blue);
  line-height: 34px;
}

.note-card__text {
  position: relative;
  color: var(--black);
  overflow: hidden;
  min-height: 125px;
}

@media (max-width: 1320px) {
  .note-card__title {
    font-weight: 500;
    font-size: 24px;
    line-height: 140%;
  }

  .note-card__text {
    font-size: 14px;
    margin-top: auto;
    min-height: auto;
    max-height: 54px;
  }
}

@media (max-width: 600px) {
  .note-card__text {
    max-height: none;
  }
}

/* градиент на обрезке текста */
.note-card__text::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 28px;
  background: linear-gradient(180deg, rgba(255, 250, 255, 0) 0%, var(--white) 100%);
  pointer-events: none;
}

.note-card__btn {
  margin-top: auto;

  border: 1px solid var(--blue);
  border-radius: var(--radius);
  padding: 8px 24px;
  width: 142px;
  height: 41px;
  box-sizing: border-box;

  background: var(--white);
  color: var(--blue);
  text-decoration: none;

  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  transition: opacity .5s;
}

.note-card__btn:hover {
  background: var(--blue);
  color: var(--white);
}

@media (hover: hover) and (pointer: fine) {
  .note-card__btn:hover {
    opacity: 0.8;
  }
}

.note-card__btn-icon {
  width: 20px;
  height: 20px;
  font-size: 20px;
  line-height: 20px;
  font-variation-settings: "FILL" 0, "wght" 200, "GRAD" 0, "opsz" 20;
}

.show-more-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  border-radius: var(--radius);
  padding: 8px 24px;
  width: 202px;
  height: 41px;
  background: var(--btn-bg);
  color: var(--white);
  border: none;
  cursor: pointer;
  margin: 0 auto;

  transition: opacity .5s;
}

@media (max-width: 600px) {
  .show-more-btn {
    width: 100%;
  }
}

.show-more-btn__icon {
  width: 20px;
  height: 20px;
  font-size: 20px;
  color: var(--white);
  flex: 0 0 auto;
}

.auth-prompt__box {
  border: 1px solid var(--red);
  border-radius: var(--radius);
  padding: 60px;
  max-width: 870px;
  width: 100%;
  min-height: 232px;
  box-sizing: border-box;
  background: var(--white);

  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 32px;

  margin: 0 auto;
}

@media (max-width: 600px) {
  .auth-prompt__box {
    padding: 24px;
    align-items: center;
  }
}

.auth-prompt__text {
  margin: 0;
  color: var(--red);
  text-align: center;
}

.auth-prompt__actions {
  display: flex;
  justify-content: center;
  gap: 8px;
}

@media (max-width: 600px) {
  .auth-prompt__actions {
    flex-direction: column;
    align-items: center;
  }

  .auth-prompt__actions .auth-prompt__btn--primary {
    min-width: 191px;
  }
}

.auth-prompt__btn {
  border-radius: var(--radius);
  padding: 8px 24px;
  box-sizing: border-box;

  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 10px;

  cursor: pointer;
  border: 1px solid var(--blue);
  min-width: 181px;
  transition: opacity .5s;
}

.auth-prompt__btn:hover {
  opacity: 0.7;
}

.auth-prompt__btn--primary {
  background: var(--btn-bg);
  color: var(--white);
  border: 0;
}

.auth-prompt__btn--ghost {
  background: transparent;
  color: var(--blue);
  border: 0;
}

.auth-prompt__icon {
  width: 20px;
  height: 20px;
  font-size: 20px;
  line-height: 20px;
  flex: 0 0 auto;
}

.auth-prompt__btn--primary {
  min-width: 131px;
}

@media (hover: hover) and (pointer: fine) {
  .show-more-btn:hover {
    opacity: 0.8;
  }
}

.catalog-search {
  width: 880px;
  height: 41px;
  padding: 0 24px;
  border: 1px solid var(--blue);
  border-radius: var(--radius);
  box-sizing: border-box;

  display: flex;
  align-items: center;
  position: relative;
}

.catalog-search input {
  width: 100%;
  height: 100%;
}

.catalog-searchbtn {
  padding: 0;
  border: 0;
  background-color: transparent;
  cursor: pointer;
}

.catalog-search input {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 18px;
  line-height: 140%;
  color: var(--blue);
  padding-left: 12px;
  padding-top: 0;
  padding-bottom: 0;
  padding-right: 12px;

  height: 100%;
  background-color: transparent;
  border: 0;
  width: 100%;
}

.catalog-search input:focus {
  outline: none;
}

.catalog-search input::placeholder {
  color: var(--transparent-blue);
  opacity: 1;
}

.catalog-search__icon {
  width: 25px;
  height: 25px;
  font-size: 25px;
  line-height: 16px;
  color: var(--blue);
  font-variation-settings: "FILL" 0, "wght" 200, "GRAD" 0, "opsz" 25;
}

.catalog-search__placeholder {
  color: var(--transparent-blue);
}

@media (max-width: 1320px) {
  .catalog-search {
    width: 100%;
    max-width: 100%;
  }
}